import { type RequestConfig } from 'senior-request';
import { type AxiosRequestConfig } from 'axios';

export type BlLifeRechargeServicesOptions<TResponse = any, TRequestOptions = any> = {
  axiosConfig?: Omit<RequestConfig<TResponse, TRequestOptions>, keyof AxiosRequestConfig>;
};

export type BlLifeRechargeAccountModelOptions = {
  userId?: string;
  phoneNumber?: string;
};

export type BlLifeRechargeOptions<
  TResponse = any,
  TRequestOptions = any
> = BlLifeRechargeServicesOptions<TResponse, TRequestOptions> &
  BlLifeRechargeAccountModelOptions & {};
